List events
List venue events such as fills, liquidations and stop-loss or take-profit triggers for a wallet.
address and providerId or providerIds. Filter with eventType (one) or eventTypes (up to 10, CSV or repeated), marketId, perpActionId, providerOrderId, and fromDate / toDate (ISO 8601, inclusive, applied to occurredAt). Results are newest first. Event values are in Event types. Poll this route; the API does not push events.Authorizations
Query Parameters
Offset for pagination
x >= 00
Maximum number of items to return
1 <= x <= 500100
Single provider identifier. At least one of providerId or providerIds must be provided.
hyperliquid, hyperliquid-xyz "hyperliquid"
Filter by multiple providers (CSV, repeated query params, or JSON array). At least one of providerId or providerIds must be provided. When both providerId and providerIds are set, results include all listed providers.
hyperliquid, hyperliquid-xyz User wallet address
"0xb8c8eb8efc68796e766f6ab320db8c165c064949"
Filter by a single event type
order_filled, liquidation, stop_loss_triggered, take_profit_triggered Filter by multiple event types (CSV or repeated query params)
order_filled, liquidation, stop_loss_triggered, take_profit_triggered Filter by market (e.g. hyperliquid-eth-usdc)
"hyperliquid-eth-usdc"
Filter events linked to a specific action
Filter by venue order identifier (e.g. Hyperliquid oid)
Include events with occurredAt >= fromDate (ISO 8601)
"2026-04-01T00:00:00.000Z"
Include events with occurredAt <= toDate (ISO 8601)
"2026-04-30T23:59:59.999Z"

